summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn P. Davis <zhen@gentoo.org>2003-12-31 22:24:16 +0000
committerJohn P. Davis <zhen@gentoo.org>2003-12-31 22:24:16 +0000
commit568c2d1cd364c7dc76ae36f1dd3214443d47d6fd (patch)
treec0fbae6950de4d8b44a99d8349ae198df0727b0c /src/relnotes
parentsync 1.20 (diff)
downloadgentoo-568c2d1cd364c7dc76ae36f1dd3214443d47d6fd.tar.gz
gentoo-568c2d1cd364c7dc76ae36f1dd3214443d47d6fd.tar.bz2
gentoo-568c2d1cd364c7dc76ae36f1dd3214443d47d6fd.zip
commiting relnotes creation tool
Diffstat (limited to 'src/relnotes')
-rw-r--r--src/relnotes/genrelnotes.sh60
-rw-r--r--src/relnotes/relnotes.xml98
2 files changed, 150 insertions, 8 deletions
diff --git a/src/relnotes/genrelnotes.sh b/src/relnotes/genrelnotes.sh
new file mode 100644
index 0000000000..81234f4a46
--- /dev/null
+++ b/src/relnotes/genrelnotes.sh
@@ -0,0 +1,60 @@
+#!/bin/bash
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo/src/relnotes/genrelnotes.sh,v 1.1 2003/12/31 22:24:16 zhen Exp $
+
+## Gentoo Release Notes generator
+## John Davis <zhen@gentoo.org>; 2003 12 30
+## genrelnotes.sh basically takes the busy work out of release notes.
+## It will ask some simple questions, then fill in some blanks such as
+## your name (for the author), release version, date, etc.
+
+source /sbin/functions.sh
+
+case "$1" in
+ "sedme")
+ sedme $2
+ exit 0
+ ;;
+
+ "validate")
+ validate
+ exit 0
+ ;;
+
+ "genall")
+ genhtml $2
+ gentxt $2
+ exit 0
+ ;;
+
+ "gentxt")
+ gentxt $2
+ exit 0
+ ;;
+
+ "genhtml")
+ genhtml $2
+ exit 0
+ ;;
+
+ "-h"|"--help"|*)
+ usage
+ exit 1
+ ;;
+esac
+
+usage() {
+ einfo "Gentoo Release Notes Generator (genrelnotes.sh)"
+ einfo "Valid arguments: "
+ echo "sedme: (genrelnotes.sh sedme output.xml) runs a sed on the template to produce"
+ echo "a template corrected (output.xml) for the current release."
+ echo
+ echo "validate: (genrelnotes.sh validate input.xml) validates the XML of the input file"
+ echo
+ echo "genall: (genrelnotes.sh genall input.xml) creates txt and html versions on input.xml"
+ echo
+ echo "gentxt: (genrelnotes.sh gentxt input.xml) generates txt from input.xml"
+ echo
+ echo "genhtml: (genrelnotes.sh genhtml input.xml) generates html from input.xml"
+}
diff --git a/src/relnotes/relnotes.xml b/src/relnotes/relnotes.xml
index 5b9af461a9..77c15721a5 100644
--- a/src/relnotes/relnotes.xml
+++ b/src/relnotes/relnotes.xml
@@ -1,22 +1,26 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!-- $Header: /var/cvsroot/gentoo/src/relnotes/relnotes.xml,v 1.1 2003/12/31 19:35:57 zhen Exp $ -->
+<!-- $Header: /var/cvsroot/gentoo/src/relnotes/relnotes.xml,v 1.2 2003/12/31 22:24:16 zhen Exp $ -->
<!DOCTYPE guide SYSTEM "/dtd/guide.dtd">
<guide link="releng.xml">
-<title>$ARCH Release Notes for Gentoo Linux $RELEASE</title>
+<title>##ARCH Release Notes for Gentoo Linux ##RELEASE</title>
<author title="Author">
<mail link="zhen@gentoo.org">John Davis</mail>
</author>
+<author title="##ARCH Release Manager">
+ <mail link="##EMAIL">##NAME</mail>
+</author>
+
<abstract>
-Gentoo $RELEASE Release Notes
+Gentoo ##RELEASE Release Notes
</abstract>
<license/>
-<version>$RELEASE</version>
-<date>$RELEASE_DATES</date>
+<version>##RELEASE</version>
+<date>##RELEASE_DATE</date>
<chapter>
<title>The Gentoo Linux Project</title>
@@ -24,9 +28,9 @@ Gentoo $RELEASE Release Notes
<title>Overview</title>
<body>
<p>Gentoo Linux is a community driven project commited to producing
- high quality opensource software. These release notes for Gentoo Linux $RELEASE
+ high quality opensource software. These release notes for Gentoo Linux ##RELEASE
summarize important package updates, security updates, and many other changes
- that have happened since the last release up until $RELEASE. </p>
+ that have happened since the last release up until ##RELEASE. </p>
</body>
</section>
@@ -34,7 +38,7 @@ Gentoo $RELEASE Release Notes
<title>Table of Contents</title>
<body>
<ul>
- <li>1. Introduction</li>
+ <li>1. Overview</li>
<li>2. Important Changes</li>
<li> 2.1 Security Updates</li>
<li> 2.2 Errata</li>
@@ -49,4 +53,82 @@ Gentoo $RELEASE Release Notes
</section>
</chapter>
+<chapter>
+ <title>Important Changes for ##RELEASE</title>
+ <section>
+ <title>Security Updates</title>
+ <body>
+ <p>List GLSAs here in table format using the provided template,
+ ordering them most recent to oldest. </p>
+ </body>
+ </section>
+
+ <section>
+ <title>Errata</title>
+ <body>
+ <p>In paragraph form, list and describe any errata here.</p>
+ </body>
+ </section>
+
+ <section>
+ <title>Critical Package Updates</title>
+ <body>
+ <p>List versions included in this release of the following packages:</p>
+
+ <ul>
+ <li>gcc</li>
+ <li>glibc</li>
+ <li>kernels</li>
+ <li>portage</li>
+ <li>xfree</li>
+ <li>KDE</li>
+ <li>GNOME</li>
+ <li>xfce4 (for 2004.0)</li>
+ </ul>
+
+ <p>Feel free to list any other packages that you deem important enough to list.</p>
+ </body>
+ </section>
+
+ <section>
+ <title>Portage Updates</title>
+ <body>
+ <p>This section will probably be relatively the same across all arches. Although,
+ always check with the Portage team to make absolutely sure that this is the case. </p>
+ </body>
+ </section>
+
+ <section>
+ <title>Userland Updates</title>
+ <body>
+ <p>Descibe any userland updates and improvements, such as arch specific scripts,
+ gentoo scripts, etc. Basically, anything that improves the "Gentoo user experience"
+ belongs here.</p>
+ </body>
+ </section>
+
+ <section>
+ <title>Documentation Updates</title>
+ <body>
+ <p>Include you own team's documentation changes, and make sure to get in touch with
+ the documentation team to get their changes too. For 2004.0, make sure to mention the
+ handbook! </p>
+ </body>
+ </section>
+
+</chapter>
+
+<chapter>
+ <title>Upgrading from previous versions of Gentoo Linux</title>
+ <section>
+ <title>Upgrading to Gentoo Linux ##RELEASE</title>
+ <body>
+ <p>Its your show arch leads - just make sure to emphasize that the user
+ does *not* need to reinstall their system to "upgrade" to ##RELEASE;
+ all that the user will have to do is an "emerge sync; emerge -u world".
+ </p>
+ </body>
+ </section>
+</chapter>
+
</guide>